Subject: installer wifi password prompt

From: Julien Lepiller <[email-masked]>
Date: Sat, 8 Jun 2019 15:15:02 +0200

Hi,

i just installed a new Guix System and had to use wifi for connecting
to the internet. Unfortunately, I found a few bugs with the wifi screen:

* The wifi screen doesn't automatically scan for wifi network, it would
  be nice if it did it when you first get to that screen.
* The password prompt is not hidden, it's a simple text prompt.
* The password prompt was not large enough for my password, so I was
  unable to connect. I had to use connmanctl from another tty to
  connect.
* Even if already connected (outside of the installer), we still have to
  choose a network. The connected network is marked with a '*' so the
  code should be able to access that information, I think.

Thank you!